package com.muyu.cloud.etl.service.impl;

import com.muyu.cloud.etl.mapper.AccreditMapper;
import com.muyu.cloud.etl.service.AccreditService;
import com.muyu.domain.Accredit;
import com.muyu.domain.rep.AccreditRep;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AccreditServiceImpl implements AccreditService{
    @Autowired
    private AccreditMapper accreditMapper;

    @Override
    public Accredit findAccredit(Long tableId) {
        return accreditMapper.findAccredit(tableId);
    }

    @Override
    public List<AccreditRep> findDeptListStatus(Long tableId, Long basicId) {
       return accreditMapper.findDeptListStatus(tableId,basicId);

    }
}
