package com.muyu.cloud.etl.controller;

import com.muyu.cloud.etl.service.AccreditService;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.Accredit;
import com.muyu.domain.rep.AccreditRep;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/accredit")
public class AccreditController {
    @Autowired
    private AccreditService accreditService;

    //根据表Id查询数据库名称接入名称和表名称
    @GetMapping("/findAccredit")
    public Accredit findAccredit(@RequestParam(value = "tableId") Long tableId) {
        return  accreditService.findAccredit(tableId);
    }

    //根据表Id和数据源Id查询
    @GetMapping("/findDeptListStatus")
    public Result findDeptListStatus(@RequestParam(value = "tableId") Long tableId,@RequestParam(value = "basicId") Long basicId) {
        List<AccreditRep> repList=accreditService.findDeptListStatus(tableId,basicId);
        return  Result.success(repList);
    }

}
